Bug 703235 - sblim-sfcb not enabled after F14->F15 upgrade
sblim-sfcb not enabled after F14->F15 upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sblim-sfcb (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
RejectedNTH https://fedoraproject.org...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-09 13:14 EDT by James Laska
Modified: 2013-09-02 02:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: sblim-sfcb-1.3.10-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 01:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2011-05-09 13:14:33 EDT
As the  states, sblim-sfcb is enabled and starts on boot in Fedora 14.  After upgrading to Fedora 15, sblim-sfcb is no longer enabled by default, and does not start on boot.  \n\nWhile the workaround is straight forward, I am proposing this as a NTH fix for F15 since this will likely impact F14->F15 users, and it's not obvious that the service isn't running.
Comment 1 Praveen K Paladugu 2011-05-09 14:44:54 EDT
The sblim-sfcb service shouldn't be started automatically with a fresh install of the package. The service will only be added for management with chkconfig with "chkconfig --add sblim-sfcb" in the %postinstall section.


The admin is expected to enable the service in the runlevels he/she wants the service to be running in.


A fresh install of sblim-sfcb package in F14 shouldn't automatically enable the sblim-sfcb service either.
Comment 2 Fedora Update System 2011-05-09 14:54:08 EDT
sblim-sfcb-1.3.10-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sblim-sfcb-1.3.10-5.fc15
Comment 3 Adam Williamson 2011-05-09 15:19:48 EDT
not on the DVD, so nothing to be gained by making this NTH. -1



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 James Laska 2011-05-09 15:24:42 EDT
(In reply to comment #3)
> not on the DVD, so nothing to be gained by making this NTH. -1

I wasn't able to cross-reference the bugs with what packages are available on the DVD.  Given that this isn't provided on the DVD, I'm in perfect agreement that this can easily be addressed by a post-release update and does not affect the installation media in any way.

Adding whiteboard:RejectedNTH
Comment 5 James Laska 2011-05-09 15:54:10 EDT
(In reply to comment #1)
> A fresh install of sblim-sfcb package in F14 shouldn't automatically enable the
> sblim-sfcb service either.

Understood, but I believe if a system admin enables sblim-sfcb to start automatically, that change is expected to remain after upgrade.
Comment 6 Fedora Update System 2011-05-09 18:37:53 EDT
Package sblim-sfcb-1.3.10-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sblim-sfcb-1.3.10-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sblim-sfcb-1.3.10-5.fc15
then log in and leave karma (feedback).
Comment 7 Adam Williamson 2011-05-10 14:58:30 EDT
you also have to drop the blocks: f15-accepted when rejecting.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 James Laska 2011-05-24 09:26:09 EDT
I documented this issue as a CommonBug.  Please feel free to adjust/patch as needed.

https://fedoraproject.org/wiki/Common_F15_bugs#upgrade-disabled-services
Comment 9 Fedora Admin XMLRPC Client 2011-05-30 10:27:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Update System 2011-06-03 01:36:00 EDT
sblim-sfcb-1.3.10-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.